## org.eclipse.datatools.sqltools.debugger.model
Class SPLocalVariable

    java.lang.Object
      org.eclipse.core.runtime.PlatformObject
          org.eclipse.datatools.sqltools.debugger.model.SPDebugElement
              org.eclipse.datatools.sqltools.debugger.model.SPVariable
                  org.eclipse.datatools.sqltools.debugger.model.SPLocalVariable

All Implemented Interfaces:
  org.eclipse.core.runtime.IAdaptable, org.eclipse.debug.core.model.IDebugElement, org.eclipse.debug.core.model.IValueModification, org.eclipse.debug.core.model.IVariable

    public abstract class SPLocalVariable

extends SPVariable

Represents a SQL variable/parameter defined in a `Routine` object.

Author:
  Yang Liu

Constructor Summary
`SPLocalVariable(SPDebugTarget target, java.lang.String name)`

Method Summary
`boolean` `isGlobal()`

Methods inherited from class org.eclipse.datatools.sqltools.debugger.model.SPVariable
`getName, getReferenceTypeName, getValue, hasValueChanged, internalSetValue`

Methods inherited from class org.eclipse.datatools.sqltools.debugger.model.SPDebugElement
`fireChangeEvent, fireResumeEvent, fireSuspendEvent, getAdapter, getDebugTarget, getLaunch, getModelIdentifier, getSPDebugTarget, notSupported`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface org.eclipse.debug.core.model.IDebugElement
`getDebugTarget, getLaunch, getModelIdentifier`

Methods inherited from interface org.eclipse.core.runtime.IAdaptable
`getAdapter`

Methods inherited from interface org.eclipse.debug.core.model.IValueModification
`setValue, setValue, supportsValueModification, verifyValue, verifyValue`

Constructor Detail

### SPLocalVariable

    public SPLocalVariable(SPDebugTarget target,
                           java.lang.String name)

Parameters:
  `target` -
  `name` -

Method Detail

### isGlobal

    public boolean isGlobal()

  Specified by:
    `isGlobal` in class `SPVariable`
  Returns: